Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 237708 - Pulling in extra comps files in Anaconda clobbers some comps settings
Summary: Pulling in extra comps files in Anaconda clobbers some comps settings
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-04-24 21:33 UTC by Will Woods
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-17 18:37:39 UTC


Attachments (Terms of Use)

Description Will Woods 2007-04-24 21:33:40 UTC
After adding the 'extras' repository during a network install of F7t4, going
into the package customization screen you will notice that most of the default
package groups are not checked (i.e. no base-x, no gnome-desktop, etc.)

Basically, it seems that if you add Extras, you need to go into the package
customization screen and re-enable all the stuff that's not listed in extras'
comps file.

Everything seems to install normally if you don't go into the package
customization screen, though.

Comment 1 Jesse Keating 2007-04-26 17:39:47 UTC
I don't think this is a comps bug, but an anaconda bug.  Anaconda (pirut) should
be showing the merger of the two (or more) comps files.

Comment 2 Will Woods 2007-05-15 19:19:12 UTC
This is messy, but not a default-install type thing, so it's not a release blocker.

It is kind of nasty, though - drops a whole bunch of packages if you enable
extra repos. Will there be any movement on this for F7?

Comment 3 Jeremy Katz 2007-05-16 15:40:28 UTC
This actually looks like it's even just a display problem; the packages are
getting installed even though the groups aren't showing up as selected.  And
things look right if there aren't overlapping group names (eg, my sparkle motion
repo ;-)

Still going to try to get to the bottom of it as it's bound to cause confusion
and problems...

Comment 4 Jeremy Katz 2007-05-17 18:37:39 UTC
Fixed. 


Note You need to log in before you can comment on or make changes to this bug.